<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
   	   
echo '<img src="../images/img/profiles.gif" alt=""> <b>Изменение пароля</b><br><br>';

if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!="") {

$newpar = check($_POST['newpar']);
$newpar2 = check($_POST['newpar2']);
$oldpar = check($_POST['oldpar']);

if (!eregi("[^a-z0-9-]",$newpar)){
if ($log!=$newpar){
if ($newpar==$newpar2){
if (md5($oldpar)==$udata[1]){
if (!ctype_digit($newpar)){
if (strlen($newpar)<=20 && strlen($newpar)>=3){

//------------------------------ Запись в профиль ----------------------------//
$ufile = file_get_contents(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile);

$udata[1]=md5($newpar);

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                 
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);

//------------------------- Уведомление о регистрации на E-mail --------------------------//
if($udata[4]!=""){
addmail($udata[4], "Изменение пароля на сайте ".$config_title, "Здравствуйте, ".$log." \nВами была произведена операция по изменению пароля \n\nВаш новый пароль: ".$newpar." \nСохраните его в надежном месте");
}
//----------------------------------------------------------------------------------------//

setcookie('cookpar', '');
setcookie('cooklog', '');
setcookie(session_name(), '');
session_destroy();
session_unset();
}

header ("Location: ../index.php?isset=editpass&".SID); exit;

} else {echo '<b>Ошибка! Слишком длинный или короткий новый пароль (От 3 до 20 символов)</b><br>';}
} else {echo '<b>Ошибка! Запрещен пароль состоящий только из цифр, используйте буквы</b><br>';}
} else {echo '<b>Ошибка! Старый пароль не совпадает с данными в профиле!</b><br>';}
} else {echo '<b>Ошибка! Новые пароли не совпадают!</b><br>';}
} else {echo '<b>Ошибка! Пароль и логин должны отличаться друг от друга</b><br>';}
} else {echo '<b>Недопустимые символы в пароле, только знаки латинского алфавита и цифры</b><br>';}

} else {
echo '<br>Вы не авторизованы, чтобы изменять свой пароль, необходимо<br>';
echo '<b><a href="../pages/vhod.php?'.SID.'">Авторизоваться</a></b> или в начале <b><a href="../pages/registration.php?'.SID.'">Зарегистрироваться</a></b><br>';
}

echo'<br><img src="../images/img/back.gif" alt=""> <a href="profil.php?'.SID.'">Вернуться</a><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
include_once"../themes/$config_themes/foot.php";                  
?>